Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Static Public Attributes

# ControlManager Class Reference

List of all members.

## Public Member Functions
def | __init__
def | __str__
def | add
def | collisionsOff
def | collisionsOn
def | delete
def | deleteCollisions
def | disable
def | disableAvatarJump
def | enable
def | enableAvatarJump
def | get
def | getIsAirborne
def | getSpeeds
def | lockControls
def | monitor
def | placeOnFloor
def | remove
def | setSpeeds
def | setTag
def | setWASDTurn
def | stop
def | unlockControls
def | use
## Public Attributes
| controls
| currentControls
| currentControlsName
| forceAvJumpToken
| ignoreUse
| inputStateTokens
| isEnabled
| passMessagesThrough
| WASDTurnTokens
## Static Public Attributes
tuple | notify = DirectNotifyGlobal.directNotify.newCategory("ControlManager")
tuple | wantAvatarPhysicsDebug = config.GetBool('want-avatar-physics-debug', 0)
tuple | wantAvatarPhysicsIndicator = config.GetBool('want-avatar-physics-indicator', 0)
tuple | wantWASD = config.GetBool('want-WASD', 0)

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | enable = `True`,
|  |  | passMessagesThrough = `False`
| ) |  |

## Member Function Documentation

def __str__ | ( |  | self | ) |

def add | ( |  | self,
|  |  | controls,
|  |  | name = `"basic"`
| ) |  |

    controls is an avatar control system.
    name is any key that you want to use to refer to the
        the controls later (e.g. using the use(<name>) call).

    Add a control instance to the list of available control systems.

    See also: use().

def collisionsOff | ( |  | self | ) |

def collisionsOn | ( |  | self | ) |

def delete | ( |  | self | ) |

def deleteCollisions | ( |  | self | ) |

def disable | ( |  | self | ) |

def disableAvatarJump | ( |  | self | ) |

    prevent

def enable | ( |  | self | ) |

def enableAvatarJump | ( |  | self | ) |

    Stop forcing the ctrl key to return 0's

def get | ( |  | self,
|  |  | name
| ) |  |

def getIsAirborne | ( |  | self | ) |

def getSpeeds | ( |  | self | ) |

def lockControls | ( |  | self | ) |

def monitor | ( |  | self,
|  |  | foo
| ) |  |

def placeOnFloor | ( |  | self | ) |

def remove | ( |  | self,
|  |  | name
| ) |  |

    name is any key that was used to refer to the
        the controls when they were added (e.g.
        using the add(<controls>, <name>) call).

    Remove a control instance from the list of
    available control systems.

    See also: add().

def setSpeeds | ( |  | self,
|  |  | forwardSpeed,
|  |  | jumpForce,
|  |  | reverseSpeed,
|  |  | rotateSpeed,
|  |  | strafeLeft = `0`,
|  |  | strafeRight = `0`
| ) |  |

def setTag | ( |  | self,
|  |  | key,
|  |  | value
| ) |  |

def setWASDTurn | ( |  | self,
|  |  | turn
| ) |  |

def stop | ( |  | self | ) |

def unlockControls | ( |  | self | ) |

def use | ( |  | self,
|  |  | name,
|  |  | avatar
| ) |  |

    name is a key (string) that was previously passed to add().

    Use a previously added control system.

    See also: add().

## Member Data Documentation

controls

currentControls

currentControlsName

forceAvJumpToken

ignoreUse

inputStateTokens

isEnabled

tuple notify = DirectNotifyGlobal.directNotify.newCategory("ControlManager")`[static]`

passMessagesThrough

tuple wantAvatarPhysicsDebug = config.GetBool('want-avatar-physics-debug', 0)`[static]`

tuple wantAvatarPhysicsIndicator = config.GetBool('want-avatar-physics-indicator', 0)`[static]`

tuple wantWASD = config.GetBool('want-WASD', 0)`[static]`

WASDTurnTokens

All Classes Namespaces Functions Variables Enumerations Enumerator Properties